#!/bin/sh

#default values
D1=e
D2=g

echo "The following tweaks are required for to change default values"

echo "hdparm -X69 -d1 /dev/hd$D1"
hdparm -X69 -d1 /dev/hd$D1 
echo "hdparm -X69 -d1 /dev/hd$D2"
hdparm -X69 -d1 /dev/hd$D2 
echo "type carriage return to continue"
read nothing

echo "max_kb_per_request:15" > /proc/ide/hd$D1/settings
cat /proc/ide/hd$D1/settings
echo "/proc/ide/hd$D1/settings"
echo "type carriage return to continue"
read nothing
cat /proc/ide/hd$D2/settings
echo "/proc/ide/hd$D2/settings"
echo "type carriage return to continue"
read nothing

# Do not use UDMA6
# for Seagate and Some other drives..
# echo "If you want UDMA5 please type de following at installation time"
echo "cp hardware /etc/sysconfig/hardware"
cp hardware /etc/sysconfig/hardware

echo "done"
